# Device keep awake

An action block that temporarily keeps the CPU and/or Wi-Fi hardware awake.

The fiber will proceed immediately without pause.

Each fiber has it’s own “lock” that prevents the CPU and/or Wi-Fi from going to sleep, it’s temporary and only in affect while the fiber is running, or until it’s been explicitly been allowed to go back to sleep. Allowing sleep without first having kept it awake does nothing.

Note! Remember to Allow sleep again after the blocks where the device is kept awake, otherwise the battery is drained unnecessarily.

## Input arguments

- Processor — whether to keep the CPU awake, optionally also screen and keyboard, default is Allow sleep.
- Wi-Fi hardware — whether to keep the Wi-Fi awake, and in which mode, default is Allow sleep.
- Illumination — whether to turn on screen and keyboard illumination when CPU is awoken, default is true.